
Foreman - Refactor #23191

Using a dynamic :controller segment in a route is deprecated in Rails 6.0

04/10/2018 08:05 AM - Lukas Zapletal

Status: Closed   

Priority: Normal   

Assignee:    

Category: Rails   

Target version: 1.23.0   

Difficulty:  Fixed in Releases: 1.23.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/6801

  

Description

This is the problematic line

get '(:controller)/help', :action => 'welcome', :as => "help"

 and it seems we need to explicitly add those to all controllers.

Related issues:

Related to Foreman - Tracker #21834: Rails 5.2 upgrade tasks Closed

Related to Discovery - Bug #27335: Using a dynamic :controller segment in a r... Closed

Blocks Foreman - Tracker #24837: Rails 6.0 Tracker Closed

Copied to virt-who configure - Refactor #27438: Using a dynamic :controller s... Closed

Associated revisions

Revision eaa59de3 - 07/01/2019 06:18 AM - Michael Moll 

Fixes #23191 - replace dynamic controller routing

History

#1 - 04/10/2018 08:06 AM - Lukas Zapletal

- Related to Tracker #21834: Rails 5.2 upgrade tasks added

#2 - 04/22/2018 01:02 PM - Anonymous

- Tracker changed from Bug to Refactor

#3 - 09/06/2018 08:12 PM - Anonymous

- Subject changed from Using a dynamic :controller segment in a route is deprecated in Rails 5.2 to Using a dynamic :controller segment in a route is

deprecated in Rails 6.0

#4 - 09/06/2018 08:12 PM - Anonymous

- Blocks Tracker #24837: Rails 6.0 Tracker added

#5 - 05/27/2019 02:04 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Anonymous

- Pull request https://github.com/theforeman/foreman/pull/6801 added

#6 - 07/01/2019 06:18 AM - Ohad Levy

- Target version set to 1.23.0

- Fixed in Releases 1.23.0 added
#7 - 07/01/2019 07:01 AM - Anonymous

- Status changed from Ready For Testing to Closed

Applied in changeset eaa59de341d9fbe32e09c1fa86ba7f8a9edcdeff.

#8 - 07/18/2019 08:41 AM - Lukas Zapletal

- Related to Bug #27335: Using a dynamic :controller segment in a route is deprecated in Rails 6.0 added

#9 - 07/25/2019 10:50 AM - Marek Hulán

- Copied to Refactor #27438: Using a dynamic :controller segment in a route is deprecated in Rails 6.0 added
